(function() {
	/*
	 * 情報取得
	 *	productIds  : Array	iTuens Connectや、Google Play Developer Consoleで設定したIDを配列形式で指定して、複数のアイテム情報を一括して取得できます。
	 *						（1件だけ取得する場合も配列形式で指定してください）
	 *	productType : String	Androidの場合に定期購読の場合は"subs"、それ以外の場合は"inapp"を指定してください。
	 *						iOSの場合にはこの値は無視します。
	 */
	function purchaseGetProducts(productIds, productType) {
		applican.purchase.getProducts(productIds, productType, purchaseGetProductsSuccess, purchaseGetProductsError);
	}
	
	/*
	 * アプリ情報取得成功時のcallback処理
	 *	パラメータの属性：
	 *		productId   : String	プロダクトID
	 *		name        : String	コンテンツ名
	 *		price       : String	価格（ローカライズされた文字列）
	 *		description : String	コンテンツの説明文
	 *		os          : String	プラットフォームのOS。"ios"又は"android"。
	 */
	function purchaseGetProductsSuccess(products) {
		var dump = "課金アイテムの情報を取得しました。\n";
		
		var productsCnt = products.length;
		if(productsCnt > 0) {
			for(var i = 0; i < productsCnt; i++) {
				var product = products[i];
				dump += "========================\n";
				dump += "productId:"   + product.productId   + "\n";
				dump += "name:"        + product.name        + "\n";
				dump += "price:"       + product.price       + "\n";
				dump += "description:" + product.description + "\n";
				dump += "os:"          + product.os          + "\n";
			}
		}
		document.getElementById("dumpAreaPurchase").value = dump; 
	}
	
	/*
	 * アプリ情報取得失敗時のcallback処理
	 * 	パラメータの属性：
	 * 		code    : String	エラーコード
	 * 		message : String	エラーメッセージ
	 */
	function purchaseGetProductsError(error) {
		var dump = "課金アイテムの情報を取得できません。\n";
		dump    += "code:"    + error.code    + "\n";
		dump    += "message:" + error.message + "\n";
		document.getElementById("dumpAreaPurchase").value = dump; 
	}
	
	/*
	 * 課金情報取得
	 */
	purchaseGetInappProducts = function(){
		var productIds = [document.getElementById("inappChargeProductId").value, document.getElementById("inappNoChargeProductId").value];
		purchaseGetProducts(productIds, "inapp");
	}
	
	/*
	 * 定期購読課金情報取得
	 */
	purchaseGetSubsProducts = function(){
		var productIds = [document.getElementById("subsProductId").value];
		purchaseGetProducts(productIds, "subs");
	}
	
	/********************* イベント登録 *********************/
	document.addEventListener("deviceready", function() {
		// 「課金情報取得」ボタン押下処理
		if(document.getElementById("purchaseGetInappProductsBtn")) {
			document.getElementById("purchaseGetInappProductsBtn").addEventListener("touchend", purchaseGetInappProducts, false);
		}
		// 「定期購読課金情報取得」ボタン押下処理
		if(document.getElementById("purchaseGetSubsProductsBtn")) {
			document.getElementById("purchaseGetSubsProductsBtn").addEventListener("touchend", purchaseGetSubsProducts, false);
		}
	}, false);
})();
