(function() {
	/*
	 * 課金を実行
	 * 	productId   : String	iTuens Connectや、Google Play Developer Consoleで設定したIDを指定してください。
	 * 	productType : String	Androidの場合に定期購読の場合は"subs"、それ以外の場合は"inapp"を指定してください。
	 * 								iOSの場合にはこの値は無視します。
	 */
	function makePurchase(productId, productType) {
		applican.purchase.makePurchase(productId, productType, makePurchaseSuccess, makePurchaseError);
	}
	
	/*
	 * 課金を実行成功時のcallback処理
	 * 	パラメータの属性：
	 * 		productId  : String	プロダクトID
	 * 		isRestore  : String	購入済みアイテムのレストアかどうか（iOSのみ。Androidはfalse固定）
	 * 		purchaseId : String	課金ID
	 * 		receipt    : String	課金認証用のレシート
	 */
	function makePurchaseSuccess(result) {
		var dump = "課金を実行しました。\n";
		dump    += "productId:"  + result.productId  + "\n";
		dump    += "purchaseId:" + result.purchaseId + "\n";
		dump    += "receipt:"    + result.receipt    + "\n";
		document.getElementById("dumpAreaPurchase").value = dump; 

		// ※課金アイテムの付与処理
		// 決済完了にする iOSは必ず送信。Androidは消費は消費アイテムの場合のみ送信
		if(result.os === "ios" || 
				(result.os === "android" && (result.productId === document.getElementById("inappChargeProductId").value))) {
			applican.purchase.finishPurchase(result.purchaseId,  finishPurchaseSuccess, finishPurchaseError);
		}
	}
	
	/*
	 * 課金を実行失敗時のcallback処理
	 * 	パラメータの属性：
	 * 		code    : String	エラーコード
	 * 		message : String	エラーメッセージ
	 */
	function makePurchaseError(error) {
		var dump = "課金の実行に失敗しました。\n";
		dump    += "code : "    + error.code    + "\n";
		dump    += "message : " + error.message + "\n";
		document.getElementById("dumpAreaPurchase").value = dump; 
	}
	
	/*
	 * 決済を完了時のcallback処理
	 */
	function finishPurchaseSuccess(purchaseId) {
		alert("決済完了しました。\n" + "purchaseId : " + purchaseId);
	}
	
	/*
	 * 決済を完了できない時のcallback処理
	 * 	パラメータの属性：
	 * 		code    : String	エラーコード
	 * 		message : String	エラーメッセージ
	 */
	function finishPurchaseError(error) {
		alert("決済完了できませんでした。\n" + "code : " + error.code + "\n" + "message : " + error.message);
	}
	
	/*
	 * 消費アイテム課金を実行する
	 */
	makePurchaseInappCharge = function(){
		var productId = document.getElementById("inappChargeProductId").value;
		makePurchase(productId, "inapp");
	}
	
	/*
	 * 非消費アイテム課金を実行する
	 */
	makePurchaseInappNocharge = function(){
		var productId = document.getElementById("inappNoChargeProductId").value;
		makePurchase(productId, "inapp");
	}
	
	/*
	 * 定期購読課金を実行する
	 */
	makePurchaseSubs = function(){
		var productId = document.getElementById("subsProductId").value;
		makePurchase(productId, "subs");
	}
	
	/********************* イベント登録 *********************/
	document.addEventListener("deviceready", function() {
		// 「消費アイテム課金」ボタン押下処理
		if(document.getElementById("makePurchaseInappChargeBtn")) {
			document.getElementById("makePurchaseInappChargeBtn").addEventListener("touchend", makePurchaseInappCharge, false);
		}
		// 「非消費アイテム課金」ボタン押下処理
		if(document.getElementById("makePurchaseInappNochargeBtn")) {
			document.getElementById("makePurchaseInappNochargeBtn").addEventListener("touchend", makePurchaseInappNocharge, false);
		}
		// 「定期購読」ボタン押下処理
		if(document.getElementById("makePurchaseSubsBtn")) {
			document.getElementById("makePurchaseSubsBtn").addEventListener("touchend", makePurchaseSubs, false);
		}
	}, false);
})();
